NX Open C++ Reference Guide
|
Represents a @link Features::ShipDesign::ShipCutout Features::ShipDesign::ShipCutout@endlink builder <br> To create a new instance of this class, use @link Features::ShipCollection::CreateShipCutoutBuilder Features::ShipCollection::CreateShipCutoutBuilder @endlink <br>
Default values. More...
Public Types | |
enum | CreationMethod { CreationMethodFace2Lines, CreationMethodSpecifyCSYS } |
available methods used to place a cutout object More... | |
Public Member Functions | |
NXOpen::Expression * | AngularDim () |
Returns the angular dimension used to rotate the cutout's profile The angular dimension is only used for the Face2Lines placement method. | |
NXOpen::CoordinateSystem * | CoordSystem () |
Returns the placement CSYS of the cutout. | |
bool | KeepCoordSystem () |
Returns the keep coordinate system A toggle used to remember the selected object on apply. | |
bool | KeepReverseDirection1 () |
Returns the toggle which allows re-use of the previous reverse direction toggle. | |
bool | KeepReverseDirection2 () |
Returns the toggle which allows re-use of the previous reverse direction toggle. | |
bool | KeepSelectCSYSFace () |
Returns the keep select csys face A toggle used to remember the selected object on apply. | |
bool | KeepSelectLine1 () |
Returns the keep select line1 A toggle used to remember the selected object on apply. | |
bool | KeepSelectLine2 () |
Returns the keep select line2 A toggle used to remember the selected object on apply. | |
bool | KeepSelectTargetFace () |
Returns the keep select target face A toggle used to remember the selected object on apply. | |
NXOpen::Expression * | LinearOffset1 () |
Returns the linear offset distance from line1. | |
NXOpen::Expression * | LinearOffset2 () |
Returns the linear offset distance from line2. | |
NXOpen::Features::ShipDesign::ShipCutoutBuilder::CreationMethod | PlacementType () |
Returns the placement type. | |
bool | ReverseDirection1 () |
Returns the reverse direction 1. | |
bool | ReverseDirection2 () |
Returns the reverse direction 2. | |
NXOpen::SelectFace * | SelectCSYSFace () |
Returns the selection object for the target face. | |
NXOpen::SelectNXObject * | SelectLine1 () |
Returns the select Line1. | |
NXOpen::SelectNXObject * | SelectLine2 () |
Returns the select Line2 This line 2 is only used for the Face2Lines placement method. | |
NXOpen::SelectNXObject * | SelectTargetFace () |
Returns the select Target Face. | |
void | SetCoordSystem (NXOpen::CoordinateSystem *coordSystem) |
Sets the placement CSYS of the cutout. | |
void | SetKeepCoordSystem (bool keepCoordSystem) |
Sets the keep coordinate system A toggle used to remember the selected object on apply. | |
void | SetKeepReverseDirection1 (bool keepReverseDirection1) |
Sets the toggle which allows re-use of the previous reverse direction toggle. | |
void | SetKeepReverseDirection2 (bool keepReverseDirection2) |
Sets the toggle which allows re-use of the previous reverse direction toggle. | |
void | SetKeepSelectCSYSFace (bool keepSelectCSYSFace) |
Sets the keep select csys face A toggle used to remember the selected object on apply. | |
void | SetKeepSelectLine1 (bool keepSelectLine1) |
Sets the keep select line1 A toggle used to remember the selected object on apply. | |
void | SetKeepSelectLine2 (bool keepSelectLine2) |
Sets the keep select line2 A toggle used to remember the selected object on apply. | |
void | SetKeepSelectTargetFace (bool keepSelectTargetFace) |
Sets the keep select target face A toggle used to remember the selected object on apply. | |
void | SetPlacementType (NXOpen::Features::ShipDesign::ShipCutoutBuilder::CreationMethod placementType) |
Sets the placement type. | |
void | SetReverseDirection1 (bool reverseDirection1) |
Sets the reverse direction 1. | |
void | SetReverseDirection2 (bool reverseDirection2) |
Sets the reverse direction 2. | |
NXOpen::SketchExpressionModifierBuilder * | SketchBlock () |
Returns the library sketch block that defines the Cutout outline Created in NX7.5.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::ShipDesign::ShipCutout Features::ShipDesign::ShipCutout@endlink builder <br> To create a new instance of this class, use @link Features::ShipCollection::CreateShipCutoutBuilder Features::ShipCollection::CreateShipCutoutBuilder @endlink <br>
Default values.
Property | Value |
---|---|
SketchBlock.Exp1.Value |
0 |
SketchBlock.Exp10.Value |
0 |
SketchBlock.Exp11.Value |
0 |
SketchBlock.Exp12.Value |
0 |
SketchBlock.Exp2.Value |
0 |
SketchBlock.Exp3.Value |
0 |
SketchBlock.Exp4.Value |
0 |
SketchBlock.Exp5.Value |
0 |
SketchBlock.Exp6.Value |
0 |
SketchBlock.Exp7.Value |
0 |
SketchBlock.Exp8.Value |
0 |
SketchBlock.Exp9.Value |
0 |
SketchBlock.Sketches |
EndCut1 |
Created in NX7.5.0.
NXOpen::Expression* NXOpen::Features::ShipDesign::ShipCutoutBuilder::AngularDim | ( | ) |
Returns the angular dimension used to rotate the cutout's profile The angular dimension is only used for the Face2Lines placement method.
Created in NX7.5.0.
License requirements : None
NXOpen::CoordinateSystem* NXOpen::Features::ShipDesign::ShipCutoutBuilder::CoordSystem | ( | ) |
Returns the placement CSYS of the cutout.
The coordinate system is only used for the SpecifyCSYS placement method.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::ShipCutoutBuilder::KeepCoordSystem | ( | ) |
Returns the keep coordinate system A toggle used to remember the selected object on apply.
The keep coordinate system is only used for the SpecifyCSYS placement method.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::ShipCutoutBuilder::KeepReverseDirection1 | ( | ) |
Returns the toggle which allows re-use of the previous reverse direction toggle.
This is only used for the Face2Lines placement method.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::ShipCutoutBuilder::KeepReverseDirection2 | ( | ) |
Returns the toggle which allows re-use of the previous reverse direction toggle.
This is only used for the Face2Lines placement method.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::ShipCutoutBuilder::KeepSelectCSYSFace | ( | ) |
Returns the keep select csys face A toggle used to remember the selected object on apply.
The keep select csys face is only used for the SpecifyCSYS placement method.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::ShipCutoutBuilder::KeepSelectLine1 | ( | ) |
Returns the keep select line1 A toggle used to remember the selected object on apply.
The keep select line1 is only used for the Face2Lines placement method.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::ShipCutoutBuilder::KeepSelectLine2 | ( | ) |
Returns the keep select line2 A toggle used to remember the selected object on apply.
The keep select line2 is only used for the Face2Lines placement method.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::ShipCutoutBuilder::KeepSelectTargetFace | ( | ) |
Returns the keep select target face A toggle used to remember the selected object on apply.
The keep select target face is only used for the Face2Lines placement method.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::ShipCutoutBuilder::LinearOffset1 | ( | ) |
Returns the linear offset distance from line1.
The linear offset 1 is only used for the Face2Lines placement method.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::ShipCutoutBuilder::LinearOffset2 | ( | ) |
Returns the linear offset distance from line2.
The linear offset 2 is only used for the Face2Lines placement method.
Created in NX7.5.0.
License requirements : None
NXOpen::Features::ShipDesign::ShipCutoutBuilder::CreationMethod NXOpen::Features::ShipDesign::ShipCutoutBuilder::PlacementType | ( | ) |
Returns the placement type.
The creation method used to place the cutout object.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::ShipCutoutBuilder::ReverseDirection1 | ( | ) |
Returns the reverse direction 1.
Allows you to reverse the direction used in the linear offset 1. The reverse direction 1 is only used for the Face2Lines placement method.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::ShipCutoutBuilder::ReverseDirection2 | ( | ) |
Returns the reverse direction 2.
Allows you to reverse the direction used in the linear offset 2. The reverse direction 2 is only used for the Face2Lines placement method.
Created in NX7.5.0.
License requirements : None
NXOpen::SelectFace* NXOpen::Features::ShipDesign::ShipCutoutBuilder::SelectCSYSFace | ( | ) |
Returns the selection object for the target face.
This target CSYS face is only used for the SpecifyCSYS placement method.
Created in NX7.5.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::ShipCutoutBuilder::SelectLine1 | ( | ) |
Returns the select Line1.
This line 1 is only used for the Face2Lines placement method.
Created in NX7.5.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::ShipCutoutBuilder::SelectLine2 | ( | ) |
Returns the select Line2 This line 2 is only used for the Face2Lines placement method.
Created in NX7.5.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::ShipCutoutBuilder::SelectTargetFace | ( | ) |
Returns the select Target Face.
This target face is only used for the Face2Lines placement method.
Created in NX7.5.0.
License requirements : None
void NXOpen::Features::ShipDesign::ShipCutoutBuilder::SetCoordSystem | ( | NXOpen::CoordinateSystem * | coordSystem | ) |
Sets the placement CSYS of the cutout.
The coordinate system is only used for the SpecifyCSYS placement method.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
coordSystem | coordsystem |
void NXOpen::Features::ShipDesign::ShipCutoutBuilder::SetKeepCoordSystem | ( | bool | keepCoordSystem | ) |
Sets the keep coordinate system A toggle used to remember the selected object on apply.
The keep coordinate system is only used for the SpecifyCSYS placement method.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepCoordSystem | keepcoordsystem |
void NXOpen::Features::ShipDesign::ShipCutoutBuilder::SetKeepReverseDirection1 | ( | bool | keepReverseDirection1 | ) |
Sets the toggle which allows re-use of the previous reverse direction toggle.
This is only used for the Face2Lines placement method.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepReverseDirection1 | keepreversedirection1 |
void NXOpen::Features::ShipDesign::ShipCutoutBuilder::SetKeepReverseDirection2 | ( | bool | keepReverseDirection2 | ) |
Sets the toggle which allows re-use of the previous reverse direction toggle.
This is only used for the Face2Lines placement method.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepReverseDirection2 | keepreversedirection2 |
void NXOpen::Features::ShipDesign::ShipCutoutBuilder::SetKeepSelectCSYSFace | ( | bool | keepSelectCSYSFace | ) |
Sets the keep select csys face A toggle used to remember the selected object on apply.
The keep select csys face is only used for the SpecifyCSYS placement method.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepSelectCSYSFace | keepselectcsysface |
void NXOpen::Features::ShipDesign::ShipCutoutBuilder::SetKeepSelectLine1 | ( | bool | keepSelectLine1 | ) |
Sets the keep select line1 A toggle used to remember the selected object on apply.
The keep select line1 is only used for the Face2Lines placement method.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepSelectLine1 | keepselectline1 |
void NXOpen::Features::ShipDesign::ShipCutoutBuilder::SetKeepSelectLine2 | ( | bool | keepSelectLine2 | ) |
Sets the keep select line2 A toggle used to remember the selected object on apply.
The keep select line2 is only used for the Face2Lines placement method.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepSelectLine2 | keepselectline2 |
void NXOpen::Features::ShipDesign::ShipCutoutBuilder::SetKeepSelectTargetFace | ( | bool | keepSelectTargetFace | ) |
Sets the keep select target face A toggle used to remember the selected object on apply.
The keep select target face is only used for the Face2Lines placement method.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepSelectTargetFace | keepselecttargetface |
void NXOpen::Features::ShipDesign::ShipCutoutBuilder::SetPlacementType | ( | NXOpen::Features::ShipDesign::ShipCutoutBuilder::CreationMethod | placementType | ) |
Sets the placement type.
The creation method used to place the cutout object.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
placementType | placementtype |
void NXOpen::Features::ShipDesign::ShipCutoutBuilder::SetReverseDirection1 | ( | bool | reverseDirection1 | ) |
Sets the reverse direction 1.
Allows you to reverse the direction used in the linear offset 1. The reverse direction 1 is only used for the Face2Lines placement method.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
reverseDirection1 | reversedirection1 |
void NXOpen::Features::ShipDesign::ShipCutoutBuilder::SetReverseDirection2 | ( | bool | reverseDirection2 | ) |
Sets the reverse direction 2.
Allows you to reverse the direction used in the linear offset 2. The reverse direction 2 is only used for the Face2Lines placement method.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
reverseDirection2 | reversedirection2 |
NXOpen::SketchExpressionModifierBuilder* NXOpen::Features::ShipDesign::ShipCutoutBuilder::SketchBlock | ( | ) |
Returns the library sketch block that defines the Cutout outline
Created in NX7.5.0.
License requirements : None